---
updatedAt: 2026-05-21T18:12:22.000Z
---

# Deprecated - Retrieve statistics of specific assignments within a given instance.

The api to get statistics of specific assignments within a given instance v1.0 (v1.0/self/instances/{instanceId}/assignments/resources) is deprecated. The end of life is 31-Dec-2025. Use the following alternative API: GET /v2.0/instances/{instanceId}/assignments/resources<br/>API request is only valid for resources created using V1 version. Attempting to access V2-exclusive resources with the V1 API will result in a 400 error. Additionally, V2 resources are excluded from V1 API filter search results.<br/>Get aggregated statistics about assignments in a specific campaign instance for a reviewer OR supervisor. Filters could be applied against the assignments. <br/>Entitlements required: manageAccessCertification [Manage Access Certification].

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "IBM Verify API",
    "title": "IBM Verify API"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Certification Campaign statistics v1.0 - Deprecated"
    }
  ],
  "paths": {
    "/v1.0/self/instances/{instanceId}/assignments/resources": {
      "get": {
        "tags": [
          "Certification Campaign statistics v1.0 - Deprecated"
        ],
        "summary": "Deprecated - Retrieve statistics of specific assignments within a given instance.",
        "description": "The api to get statistics of specific assignments within a given instance v1.0 (v1.0/self/instances/{instanceId}/assignments/resources) is deprecated. The end of life is 31-Dec-2025. Use the following alternative API: GET /v2.0/instances/{instanceId}/assignments/resources<br/>API request is only valid for resources created using V1 version. Attempting to access V2-exclusive resources with the V1 API will result in a 400 error. Additionally, V2 resources are excluded from V1 API filter search results.<br/>Get aggregated statistics about assignments in a specific campaign instance for a reviewer OR supervisor. Filters could be applied against the assignments. <br/>Entitlements required: manageAccessCertification [Manage Access Certification].",
        "operationId": "selfAssignmentsResourceStats",
        "parameters": [
          {
            "name": "instanceId",
            "in": "path",
            "description": "Campaign Instance ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "resourceType",
            "in": "query",
            "description": "The filter for the resource type to query statistics: 'accountName', 'accountOwnershipType', 'accountStatus', 'application', 'assignee', 'assignmentName', 'assignmentSource', 'assignmentType', 'entitledAs', 'reviewer'.",
            "schema": {
              "type": "string",
              "default": "assignee"
            }
          },
          {
            "name": "reviewerId",
            "in": "query",
            "description": "The filter for the campaign reviewer.<br> For example,607000JX53",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "actions",
            "in": "query",
            "description": "The filter for the reviewer action.<br><br>Possible values for reviewer actions are: none, approved, rejected, redirected, escalated, noMoreOnTarget.<br>Provide multiple values in new lines or separated by commas.",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "asSupervisor",
            "in": "query",
            "description": "Consider the calling user as a supervisor of the campaign when set to true.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "assignmentSource",
            "in": "query",
            "description": "Filter campaign assignments based on the source: 'all', 'assigned', 'delegated'.",
            "schema": {
              "type": "string",
              "default": "assigned"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "description": "The generic filter for returning campaign assignment resources statistics:<br><br>Following is the list of resourceType and it's corresponding filter attribute that contains the passed string in one of the attribute:<br><br><strong>assignee</strong>: assignee.name, assignee.email, assignee.fullName, assignee.firstName, assignee.lastName<br><strong>reviewer</strong>: reviewer.name, reviewer.email, reviewer.fullName, reviewer.firstName, reviewer.lastName<br><strong>application</strong>: application.name<br><strong>assignmentType</strong>: entitlement.type<br><strong>assignmentName</strong>: entitlement.name<br><strong>accountStatus</strong>: account.finerStatus<br><strong>accountName</strong>: account.userName<br><strong>entitledAs</strong>: discretionaryGroup.name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The attribute of the campaign assignment that is used to sort results.<br>Following is the list of resourceType and it's corresponding attribute respectively that is used to sort results:<br><br><strong>assignee</strong>: When you provide,<br><br>- <strong>firstname</strong>: Assignee firstName is used for sorting.<br>- <strong>lastname</strong>: Assignee lastName is used for sorting.<br>- <strong>count</strong>: Assignee's assignments count is used for sorting.<br><br><strong>reviewer</strong>: When you provide,<br><br>- <strong>reviewer</strong>: Reviewer firstName is used for sorting.<br>- <strong>numapproveditems</strong>: Reviewer approved items count is used for sorting.<br>- <strong>numrejecteditems</strong>: Reviewer rejected items count is used for sorting.<br>- <strong>numunproceseditems</strong>: Reviewer unprocessed items count is used for sorting.<br>- <strong>completion</strong>: Reviewer completed items count is used for sorting.<br>- <strong>count</strong>: Reviewer total items count is used for sorting.<br><br><strong>application</strong>: When you provide,<br><br>- <strong>application</strong>: Application name is used for sorting.<br>- <strong>count</strong>: Application's assignments count is used for sorting.<br><br><strong>assignmentType</strong>: By default entitlement type is used for sorting.<br><strong>assignmentName</strong>: By default entitlement name is used for sorting.<br><strong>accountStatus</strong>: By default account finerStatus is used for sorting.<br><strong>accountName</strong>: By default account userName is used for sorting.<br><strong>entitledAs</strong>: By default discretionary group name is used for sorting.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortDesc",
            "in": "query",
            "description": "Decides sort order.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Specifies the maximum number of resources that the search returns for a page.",
            "schema": {
              "type": "string",
              "default": "500"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number.",
            "schema": {
              "type": "string",
              "default": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {}
          },
          "400": {
            "description": "Generic application error status. The error code and description are available in the payload.",
            "content": {}
          },
          "500": {
            "description": "Server error",
            "content": {}
          }
        },
        "x-category": "IBM Verify API",
        "x-publicAPI": true
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```